Bug 38763 - univention-base-files depends on console-setup, but does not specify it
univention-base-files depends on console-setup, but does not specify it
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Docker
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.1
Assigned To: Daniel Tröder
Stefan Gohmann
: interim-1
Depends on:
Blocks: 38887 41143
  Show dependency treegraph
 
Reported: 2015-06-24 17:50 CEST by Dirk Wiesenthal
Modified: 2016-04-26 22:11 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2015-06-24 17:50:40 CEST
/etc/univention/templates/modules/xkbKeyboard.py needs /bin/setupcon - part of console-setup.

Our minimal docker image does not ship it. This may not be relevant to operate UCS, but in this case it should be checked whether the binary exists.
Comment 1 Daniel Tröder univentionstaff 2015-08-28 12:14:37 CEST
Commit 63307 removes the requirement for /bin/setupcon in xkbKeyboard.py by checking if it is running inside a docker container.
Comment 2 Stefan Gohmann univentionstaff 2015-09-23 08:12:17 CEST
Please add a changelog entry
Comment 3 Daniel Tröder univentionstaff 2015-10-02 15:08:03 CEST
Changelog for 4.1 add with commit 64181.
Comment 4 Stefan Gohmann univentionstaff 2015-10-03 15:08:27 CEST
(In reply to Daniel Tröder from comment #3)
> Changelog for 4.1 add with commit 64181.

OK

(In reply to Daniel Tröder from comment #1)
> Commit 63307 removes the requirement for /bin/setupcon in xkbKeyboard.py by
> checking if it is running inside a docker container.

OK
Comment 5 Stefan Gohmann univentionstaff 2015-11-17 12:12:51 CET
UCS 4.1 has been released:
 https://docs.software-univention.de/release-notes-4.1-0-en.html
 https://docs.software-univention.de/release-notes-4.1-0-de.html

If this error occurs again, please use "Clone This Bug".